---

stages:
- test
- deploy

sast:
  stage: test
  script:
  - "/analyzer run"

include:
- template: SAST.gitlab-ci.yml
- template: Dependency-Scanning.gitlab-ci.yml
- template: Secret-Detection.gitlab-ci.yml


pages:
  stage: deploy
  script:
    - echo "hello"
  artifacts:
    paths:
      - public
  rules:
    - if: '$CI_COMMIT_BRANCH == "master"'